Page MenuHomePhabricator

Document all site config options
Closed, ResolvedPublic

Description

Project:Huggle/Config may contain many keys, the documentation at https://www.mediawiki.org/wiki/Manual:Huggle/Configuration#Project_configuration however contains only few of them :(

all project config options, which are are currently used by Huggle3 and thus should be documented, can be found in the function ProjectConfiguration::Parse

New documentation is located in comments of default project config page here: https://www.mediawiki.org/w/index.php?title=Manual:Huggle/Deploying/DefaultConfig.yaml

Event Timeline

Petrb created this task.Mar 30 2017, 12:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2017, 12:57 PM
Framawiki added a subscriber: Framawiki.
Krenair added a subscriber: Krenair.Apr 1 2017, 9:59 PM

Project:Huggle/Config only seems to contain 'require-config:true' now

Se4598 updated the task description. (Show Details)Apr 1 2017, 10:14 PM
Se4598 updated the task description. (Show Details)
Petrb triaged this task as Normal priority.May 8 2017, 6:07 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 9 2017, 8:57 PM
Framawiki moved this task from Backlog to Need volunteer on the Huggle board.May 9 2017, 8:57 PM
Petrb added a comment.Jul 23 2017, 8:58 AM

I decided to document all options inside of the config itself: https://www.mediawiki.org/wiki/Manual:Huggle/Deploying/DefaultConfig.yaml

Petrb added a comment.Jul 23 2017, 9:00 AM

Since we are moving to YAML in next version of Huggle, we can also remove all deprecated options as this new config page is not going to be read by older Huggle versions, this will hopefully server to clean up all the mess

So are /Config project pages being deprecated or we're just switching syntax? Thanks.

Petrb added a comment.Sep 6 2017, 1:10 PM

Yes, they are being deprecated, since the syntax is incompatible new syntax needs to stay on a new page, we can also use this opportunity to do some major clean-up of project config page, which now contains lot of options we don't even use anymore.

Petrb closed this task as Resolved.Mar 20 2018, 11:02 PM
Petrb claimed this task.